ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

LlvmMangler

Description

GHC LLVM Mangler

This script processes the assembly produced by LLVM, rewriting all symbols of type `function to` object. This keeps them from going through the PLT, which would be bad due to tables-next-to-code. On x86_64, it also rewrites AVX instructions that require alignment to their unaligned counterparts, since the stack is only 16-byte aligned but these instructions require 32-byte alignment.

Synopsis

- llvmFixupAsm :: DynFlags -> FilePath -> FilePath -> IO ()

# Documentation

llvmFixupAsm :: DynFlags -> FilePath -> FilePath -> IO () #

Read in assembly file and process